#ifndef SPI_INCLUDED
//  25-09-2006

#define SPI_INCLUDED 1


struct TSPIData {
	//     SPI
	unsigned char *TxArrayPtr;
	unsigned char TxCnt;
	unsigned char *DataPtr;
	unsigned int DataCount;
	unsigned char ChipSelectPin;

	unsigned char Operation: 1;
	unsigned char SetChipSelect: 1;
	
};
 
void SPIOut(struct TSPIData *spi_data);
void InitSPI(void);

#define SPI_SPEED 0

#define SEND_SPI 0
#define RECEIVE_SPI 1

void CLR_FLASH_CS (unsigned char chip_sel);
void SET_FLASH_CS (unsigned char chip_sel);



#endif
