#ifndef AT45_INCLUDED
//  25-09-2006
#define AT45_INCLUDED


struct TFlashAT45161 {

	unsigned char ChipSelectPin: 2;
	unsigned char WriteFlag: 1;
	volatile unsigned char FlashDisable: 1;


	
	void ClearTxArray(unsigned char *ptr, unsigned char array_length);
	unsigned char ReadFromBuffer(unsigned char buf_numb, unsigned short addr, unsigned short read_cnt, unsigned char *read_ptr);
	unsigned char WriteToBuffer(unsigned char buf_numb, unsigned short addr, unsigned short write_cnt, unsigned char *write_ptr);
	unsigned char ReadStatus(unsigned char *read_ptr);
	unsigned char ProgrammFlashFromBuffer(unsigned char buf_numb, unsigned short page);
	unsigned char CopyPageToBufferWithWaiting(unsigned char buf_numb, unsigned short page);
	unsigned char CopyPageToBuffer(unsigned char buf_numb, unsigned short page);
	unsigned char ReadFromFlash(unsigned short page, unsigned short addr, unsigned short cnt, unsigned char *ptr);
	unsigned char WritePage(unsigned char buf, unsigned short page);
	unsigned char WritePageAndWaitWriteEnd(unsigned char buf, unsigned short page);
	
	unsigned char DataFlashReady(void);

	unsigned char ComparePageWithBuffer(unsigned short page, unsigned char buffer, unsigned char wait_end, unsigned char *status);
};
 
#endif
